/* eslint-disable max-len */
import React, { SVGProps } from "react";

export const InfoIcon = ({ width = "15px", height = "15px", fill = "rgb(7, 133, 70)", ...props }: SVGProps<SVGSVGElement>) => (
    <svg xmlns="http://www.w3.org/2000/svg" width={width} height={height} fill="none" {...props}>
        <path
            fill={fill}
            d="m9.887 4.934-.356-1.34-1.34-.356a.336.336 0 0 1-.191-.3c0-.11.082-.22.191-.274l1.34-.383L9.887.97c.054-.11.164-.219.3-.219.11 0 .22.11.274.219l.383 1.312 1.312.383c.11.055.219.164.219.273 0 .137-.11.247-.219.301l-1.312.356-.383 1.34c-.055.109-.164.191-.274.191a.336.336 0 0 1-.3-.191Zm-5.742 5.304c.328.301.464.711.382 1.149l-.246 1.504 1.34-.711a1.39 1.39 0 0 1 1.23 0l1.34.71-.246-1.503c-.082-.41.055-.848.383-1.149l1.094-1.093-1.531-.22a1.32 1.32 0 0 1-.985-.71l-.683-1.367-.657 1.367a1.32 1.32 0 0 1-.984.71l-1.531.22 1.094 1.093ZM5.648 5.07a.653.653 0 0 1 1.176 0l1.258 2.57 2.844.41c.52.083.738.74.355 1.122l-2.05 1.996.492 2.816a.668.668 0 0 1-.957.711l-2.543-1.34-2.516 1.34a.667.667 0 0 1-.957-.71l.492-2.817-2.05-1.996C.808 8.789 1 8.132 1.546 8.05l2.844-.41 1.257-2.57Zm7.055 2.352-1.039-.3c-.11-.028-.164-.138-.164-.247 0-.082.055-.191.164-.219l1.04-.3.3-1.04a.263.263 0 0 1 .246-.191c.082 0 .191.082.219.191l.3 1.04 1.04.3c.109.028.191.137.191.219 0 .11-.082.219-.191.246l-1.04.3-.3 1.04c-.028.11-.137.164-.219.164-.11 0-.219-.055-.246-.164l-.3-1.04Z"
        />
    </svg>
);
